export type DeepPartial<T> = {
    [P in keyof T]?: DeepPartial<T[P]>;
};
export declare function withDefaults<T>(defaults: T, inputs?: DeepPartial<T>): T & (DeepPartial<T> | undefined);
export declare function indentLine(line: string, size?: number): string;
interface JSXLike {
    tag: string;
    props?: Record<string, string>;
    children?: JSXLike[];
}
export declare function jsxLikeStringify(jsxLike: JSXLike): string;
export declare function ensureArray(el: string | string[] | undefined): string[];
export {};
